buffer_element_type< ValueType > Struct Template Reference

`#include <_flow_graph_tagged_buffer_impl.h>`

Collaboration diagram for buffer_element_type< ValueType >:

## Public Types

typedef aligned_pair< ValueType, void * >::type | type

## Detailed Description

### template<typename ValueType>
struct buffer_element_type< ValueType >

Definition at line 34 of file _flow_graph_tagged_buffer_impl.h.

## Member Typedef Documentation

## type

template<typename ValueType >

typedef aligned_pair<ValueType, void *>::type buffer_element_type< ValueType >::type

Definition at line 37 of file _flow_graph_tagged_buffer_impl.h.

The documentation for this struct was generated from the following file:

- _flow_graph_tagged_buffer_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.